%global giturl https://github.com/mtommila/apfloat
%global gittag %{version}
%global _description %{expand:
Apfloat is a high performance arbitrary precision arithmetic library. You can
perform calculations with a precision of millions of digits with it. It's as
simple to use as Java's BigDecimal or BigInteger classes, but performs a lot
better with extreme precision numbers (more than a few hundred digits). Also, a
full suite of mathematical functions for arbitrary precision numbers are
available: all those existing in java.lang.Math and more. Apfloat is
distributed under the terms of the MIT License and comes with NO WARRANTIES.}

Name:           apfloat
Version:        1.10.1
Release:        1%{?dist}
Summary:        High performance arbitrary precision arithmetic library
License:        MIT
URL:            http://www.apfloat.org/apfloat_java/
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        %{giturl}/archive/%{gittag}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:javacc-maven-plugin)

%description
%{_description}

%package -n %{name}-applet
Summary:        Configuration for apfloat to not use disk files for data storage

%description -n %{name}-applet
%{_description}

%package -n %{name}-calc
Summary:        Interactive arbitrary precision calculator application

%description -n %{name}-calc
%{_description}

%package -n %{name}-samples
Summary:        Sample programs for apfloat for calculating pi

%description -n %{name}-samples
%{_description}

%{?javadoc_package}

%prep
%autosetup -n %{name}-%{gittag}
%mvn_package :%{name}-parent __noinstall
%pom_disable_module apfloat-aparapi
%pom_disable_module apfloat-jscience
%pom_remove_dep -r :apfloat-aparapi
%pom_remove_plugin -r :maven-gpg-plugin
%pom_remove_plugin -r :maven-jarsigner-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin -r :maven-scm-plugin

%build
%mvn_build -s -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -n %{name} -f .mfiles-%{name}
%doc README.md
%license LICENSE.md license.txt

%files -n %{name}-applet -f .mfiles-%{name}-applet
%license LICENSE.md license.txt

%files -n %{name}-calc -f .mfiles-%{name}-calc
%license LICENSE.md license.txt

%files -n %{name}-samples -f .mfiles-%{name}-samples

%changelog
* Sun Jul 02 2023 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 1.10.1-1
- Initial package
